thread.h File Reference

## Classes

class | Thread
| This class implements an approximation of java.util.Thread. More...

## Namespaces

namespace | log4cxx
namespace | log4cxx::helpers

## Macros

#define | LOG4CXX_THREAD_FUNC

## Typedefs

typedef struct apr_thread_t | apr_thread_t
typedef void *(* | Runnable )(apr_thread_t *thread, void *data)

## Macro Definition Documentation

#define LOG4CXX_THREAD_FUNC

## Typedef Documentation

typedef struct apr_thread_t apr_thread_t